> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an issued Punch Card

> Get an issued Punch Card by it's ID and those of the card itself



## OpenAPI

````yaml /openapi.yaml get /punch-cards/{punchCardId}/issued/{issuedPunchCardId}
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /punch-cards/{punchCardId}/issued/{issuedPunchCardId}:
    get:
      tags:
        - Punch Cards API
      summary: Get an issued Punch Card
      description: Get an issued Punch Card by it's ID and those of the card itself
      operationId: get-bought-punch-card
      parameters:
        - name: punchCardId
          in: path
          description: ID of the Punch Card
          required: true
          schema:
            type: string
        - name: punchCaissuedPunchCardIdrdId
          in: path
          description: ID of the issued Punch Card to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The requested issued Punch Card
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PunchCardBought'
        '404':
          description: No issued Punch Card can be found for the given IDs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
        '426':
          description: Punch Cards are not available in the current license
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    PunchCardBought:
      type: object
      description: A bought punch card
      properties:
        id:
          type: string
          example: pcb_abc12345def678
          description: ID of the bought punch card, always starting with `pcb_`.
        punchCardId:
          type: string
          example: pcd_abc12345def678
          description: ID of the punch card which is bought
        customerId:
          type: string
          example: cst_abc12345def678
          description: ID of the customer who owns this bought punch card
        punchesLeft:
          type: integer
          example: 17
          description: Indicates how many punches are left before the card is fully used
        status:
          type: string
          example: active
          description: >-
            Actual status of the bought card. Can be `active`, `expired` or
            `fully_used`.
        expiresAt:
          type: string
          example: '2028-11-19T21:00:00+02:00'
          description: >-
            Date and time when the bought card will expire, written in ATOM
            format. Remains `null` when the card will not expire at all.
          nullabe: true
        issuedAt:
          type: string
          example: '2025-11-19T21:00:00+02:00'
          description: >-
            Date and time when the card was issued to or bought by the customer.
            Written in ATOM format.
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````